using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Platnosci.Core.Linq;
using System.Text; 

namespace Platnosci.Core.Interface
{
    public interface IDataContext
    {
        void SubmitChanges();
        IQueryable<T> GetTable<T>() where T : class;
        void Insert<T>(T item) where T : class;
        IQueryable<vPlatnosciEcard> FindInvoiceByNipNumber(string nip, string numer);
        List<PotwierdzeniaEcard> FindItemsByIdFaktury(int idFaktury);
    }
}
